Subject: Re: Fwd: [PATCH] gnu: python-pygame: Update to 2.1.2.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 18 Dec 2022 16:02:31 +0100

Am Sonntag, dem 18.12.2022 um 22:15 +0800 schrieb Adam Faiz:
> > > [inputs]: Use the new style.
> > I'd split the style adjustments into a separate commit.  Also note,
> > that #:phases needs similar treatment w.r.t. using the newer API.
> Alright, I'll do the style adjustments in a separate patch. Most of
> what was in the #:phases that would have used the newer API is now 
> unnecessary, so I've removed it.
Nice.

> > > [description]: Re-indent.
> > IMHO that one's noise generated by guix style.
> I don't think it hurts to change it.
Fair enough, just saying.

> > > +              ;; Fix the configure script to allow passing the
> > > dependencies as
> > > +              ;; environment variables.
> > > +              (snippet
> > > +               #~(begin
> > > +                   (substitute* "buildconfig/config_unix.py"
> > > +                     (("localbase.d") "d")
> > > +                     (("origincdirs = .*/include.*")
> > > +                      "origincdirs =
> > > os.environ['ORIGINCDIRS'].split(\":\")\n"))))))
> > Can't we make it so that the normal GCC search paths suffice?
> The normal GCC search paths do work, so I've changed it to use those 
> instead. I'll send the revised patches soon.
Cool.

> > Also note the value of fill-column at 80 (or 79?).
> Is it a problem with how Icedove wraps the email? If so, I'm not sure
> how to change it.
No, it's a code style problem in general, i.e. you shouldn't make the
line so long that any mail client will have to wrap it anyway.  Since
that line definitely exceeded the limit, I wanted you to know.

Cheers